<?xml version='1.0' encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="text" encoding="windows-1251"/>
<!--
    elementsname   langname
  (elementsname='object')       
    xslt.stylesheet  
-->
<xsl:param name="elementsname" select=" 'object' "/>
<xsl:param name="langname" select=" 'VBScript' "/>
<xsl:template match="*">
  <xsl:choose>
    <xsl:when test="$elementsname='statement'">  
      <xsl:apply-templates select="//language[@name=$langname]/statement">
        <xsl:sort select="translate(@name,'~','')"/>
      </xsl:apply-templates>
    </xsl:when>
    <xsl:when test="$elementsname='function'">  
      <xsl:apply-templates select="//language[@name=$langname]/function">
        <xsl:sort select="translate(@name,'~','')"/>
      </xsl:apply-templates>
    </xsl:when>
    <xsl:when test="$elementsname='allobjects'">  
      <xsl:apply-templates select="//language[@name=$langname]/object|//library/object">
        <xsl:sort select="translate(@name,'~','')"/>
      </xsl:apply-templates>
    </xsl:when>
    <xsl:when test="$elementsname='object'">  
      <xsl:apply-templates select="//language[@name=$langname]/object|//library[@name=$langname]/object">
        <xsl:sort select="translate(@name,'~','')"/>
      </xsl:apply-templates>
    </xsl:when>
    <xsl:when test="$elementsname='library'">  
      <xsl:apply-templates select="//language[@name=$langname]|//library">
        <xsl:sort select="translate(@name,'~','')"/>
      </xsl:apply-templates>
    </xsl:when>
  </xsl:choose>
</xsl:template>
<xsl:template match="function|statement|object">
    <xsl:value-of select="@name"/>
    <xsl:if test="@description">
      <xsl:text> => </xsl:text><xsl:value-of select="substring(@description,1,60)"/>
    </xsl:if>
    <xsl:text>&#xA;</xsl:text>
</xsl:template>
<xsl:template match="language|library">
    <xsl:value-of select="@name"/>
    <xsl:if test="@description">
      <xsl:text> => </xsl:text><xsl:value-of select="substring(@description,1,60)"/>
    </xsl:if>
    <xsl:text>&#xA;</xsl:text>
</xsl:template>
</xsl:stylesheet>
